%define evo_version 2.12.1
%define eds_version 1.12.1
%define glib_version 2.8.1

%define evo_api_version 2.12
%define eds_api_version 1.2

### Abstract ###

Name: evolution-zimbra
Version: 0.1.0
Release: 3%{?dist}
License: Public Domain
Group: System Environment/Libraries
Summary: Zimbra Connector for Evolution
URL: http://sourceforge.net/projects/zimbraevo/
Source: http://downloads.sourceforge.net/zimbraevo/evolution-zimbra-0.1.0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

### Build Dependencies ###

BuildRequires: curl-devel
BuildRequires: evolution-devel >= %{evo_version}
BuildRequires: evolution-data-server-devel >= %{eds_version}
BuildRequires: gettext
BuildRequires: glib2-devel >= %{glib_version}
BuildRequires: perl-XML-Parser

%description
Zimbra Connector provides access to Zimbra servers through Evolution.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/evolution/%{evo_api_version}/plugins/*
%{_libdir}/evolution-data-server-%{eds_api_version}/camel-providers/*
%{_libdir}/evolution-data-server-%{eds_api_version}/extensions/*

%changelog
* Tue Jan 15 2008 Matthew Barnes <mbarnes@redhat.com> - 0.1.0-3.fc8
- Adapted from "devel" branch to work with Evolution 2.12.
- Version 0.1.0 released upstream.
- Update source tag with full URL.

* Tue Dec 11 2007 Matthew Barnes <mbarnes@redhat.com> - 0.1.0-2.fc9
- Add missing build requirements.
- Rebase to Subversion revision 3.

* Thu Dec 06 2007 Matthew Barnes <mbarnes@redhat.com> - 0.1.0-1.fc9
- Initial packaging for Fedora 9.
